### Virtual Method

# Clutter Animatable set_final_state

#### Declaration [src]

    void
    set_final_state (
      ClutterAnimatable* animatable,
      const gchar* property_name,
      const GValue* value
    )

#### Description [src]

Sets the current state of `property_name` to `value`.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the animatable property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The value of the animatable property to set.

  The data is owned by the caller of the method.